/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.geoviewer;

import org.openide.util.NbBundle;

/**
 * Used for the different layer categories.
 * 
 * @author Maarten Hollenga
 */
public enum Category {

    AREA(NbBundle.getMessage(Category.class, "category.area.title")),
    SENSOR(NbBundle.getMessage(Category.class, "category.sensor.title"));
    private String name;

    private Category(String name) {
        this.name = name;
    }

    /**
     * Returns the name of the category
     * 
     * @return
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the name of the category
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }
}
