/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer;

import nl.cloudfarming.client.model.DataProvider;
import org.geotools.coverage.grid.GridCoverage2D;

/**
 *
 * @author Timon Veenstra
 */
public class RasterLayer extends BaseLayer implements Rastered {

    private GridCoverage2D raster;
    public static final String PROPERTY_RASTER = "raster";

    public RasterLayer(Palette palette, Category category, String name,DataProvider dataProvider) {
        super(palette, category, name,dataProvider);
    }

    public RasterLayer(Palette palette, Category category, String name,DataProvider dataProvider, GridCoverage2D raster) {
        super(palette, category, name,dataProvider);
        this.raster = raster;
    }

    @Override
    public GridCoverage2D getRaster() {
        return this.raster;
    }

    public void setRaster(GridCoverage2D raster) {
        GridCoverage2D old = this.raster;
        getChangeSupport().firePropertyChange(PROPERTY_RASTER, old, raster);
        this.raster = raster;
    }

    @Override
    public boolean isInterActive(){
        return false;
    }


}
